import { BrowserModule } from '@angular/platform-browser';
import { NgModule } from '@angular/core';
import { ChartsModule } from 'ng2-charts';

import { AppRoutingModule } from './app-routing.module';
import { AppComponent } from './app.component';
import {FormFieldsModule, ModalService, RbUiComponentsModule} from '@inst-iot/bosch-angular-ui-components';
import {LoginComponent} from './login/login.component';
import { HomeComponent } from './home/home.component';
import {FormsModule, ReactiveFormsModule} from '@angular/forms';
import {LocalStorageModule} from 'angular-2-local-storage';
import {HttpClientModule} from '@angular/common/http';
import { SamplesComponent } from './samples/samples.component';
import {RbTableModule} from './rb-table/rb-table.module';
import { SampleComponent } from './sample/sample.component';
import { ValidateDirective } from './validate.directive';
import {CommonModule} from '@angular/common';
import { ErrorComponent } from './error/error.component';
import { ObjectPipe } from './object.pipe';
import {BrowserAnimationsModule} from '@angular/platform-browser/animations';
import { DocumentationComponent } from './documentation/documentation.component';
import { ImgMagnifierComponent } from './img-magnifier/img-magnifier.component';
import { ExistsPipe } from './exists.pipe';

@NgModule({
  declarations: [
    AppComponent,
    LoginComponent,
    HomeComponent,
    SamplesComponent,
    SampleComponent,
    ValidateDirective,
    ErrorComponent,
    ObjectPipe,
    DocumentationComponent,
    ImgMagnifierComponent,
    ExistsPipe
  ],
  imports: [
    LocalStorageModule.forRoot({
      prefix: 'dfop',
      storageType: 'localStorage'
    }),
    BrowserModule,
    BrowserAnimationsModule,
    AppRoutingModule,
    RbUiComponentsModule,
    FormsModule,
    HttpClientModule,
    RbTableModule,
    ReactiveFormsModule,
    FormFieldsModule,
    CommonModule,
    ChartsModule
  ],
  providers: [
    ModalService,
    { provide: Window, useValue: window }
  ],
  bootstrap: [AppComponent]
})
export class AppModule { }
